%DDEREQ	Request data from application.
%	DDEREQ requests data from a server application via an established DDE 
%	conversation.  DDEREQ returns a matrix containing the requested data 
%	or an empty matrix if the function is unsuccessful.
%
%	data = DDEREQ(channel,item,format,timeout)
%
%	data    Matrix containing requested data, empty if function fails.
%	channel Conversation channel from DDEINIT.
%	item    String specifying the server application's DDE item name 
%	        for the data requested.
%	format  (optional) Two-element array specifying the format of the
%		data requested.
%		The first element indicates a Windows clipboard
%               format to use for the data transfer.
%               Use '1' for CF_TEXT transfer or the value returned from
%               CLIPFORM to select binary transfer.
%               The default format is CF_TEXT.
%		The second element of the format array specifies the type of
%		the resultant matrix. The valid types are NUMERIC (the default,
%		corresponding to a value of 0) and STRING (corresponding to a
%		value of 1).
% 	timeout (optional) Scalar specifying the time-out limit for this
%	        operation.  Timeout is specified in milliseconds.
%	        (1000 milliseconds = 1 second). 
%	        The default timeout is three seconds.
%
%	For example,
%	Request a matrix of cells from Excel
%	mymtx = ddereq(channel, 'r1c1:r10c10');
%
%       See also DDEINIT, DDETERM, DDEEXEC, DDEPOKE, DDEADV, DDEUNADV, CLIPFORM.

%       Copyright (c) 1997 TU Chemnitz-Zwickau
